jakarta-site-cvs mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "MegaHz" <meg...@megahz.org>
Subject webapp problem
Date Mon, 09 Sep 2002 08:50:30 GMT
hi,
I am having a problem, and I dont know if you can help me out with this:

I have install jdk and apache on freebsd using the patchset from freebsd
but now in order for tomcat to work with apache I need the webapp modules
and I download them, and I run this as the readme suggested:

$ ./support/buildconf.sh 
--- Checking "autoconf" version
autoconf version 2.53 detected.

--- Running APR "buildconf" script
buildconf: checking installation...
buildconf: autoconf version 2.53 (ok)
buildconf: libtool version 1.3.4 (ok)
Copying libtool helper files ...
Creating include/arch/unix/apr_private.h.in ...
WARNING: Using auxiliary files such as `acconfig.h', `config.h.bot'
WARNING: and `config.h.top', to define templates for `config.h.in'
WARNING: is deprecated and discouraged.

WARNING: Using the third argument of `AC_DEFINE' and
WARNING: `AC_DEFINE_UNQUOTED' allows to define a template without
WARNING: `acconfig.h':

WARNING:   AC_DEFINE([NEED_MAIN], 1,
WARNING:             [Define if a function `main' is needed.])

WARNING: More sophisticated templates can also be produced, see the
WARNING: documentation.
autoheader: `include/arch/unix/apr_private.h.in' is unchanged
Creating configure ...

--- Creating WebApp "configure" script
Creating configure ...

--- All done

then I did:

$ cc=/usr/bin/cc 
> CFLAGS=-DXTI_SUPPORT \
> ./configure --oldincludedir=/usr/include/ --with-apxs=/usr/local/sbin/apxs --with-apr=/home/megahz/jakarta-tomcat-connectors/webapp/apr
--with-java=/usr/local/jdk1.3.1 --with-tomcat=/usr/local/jakarta-tomcat4.0.3

and after some configuration it shows the following error:

Apache 1.3 module compilation (APXS checks)
+ checking for apxs CC variable... cc
+ checking for compiler coherency... error
compiler discovered by apr: gcc
compiler used by apache apxs: cc
configure: error: the apache apxs and apr compilers must be the same
$

Please help me out if you face this problem again,
thank you

/*
 * Andreas Constantinides (MegaHz)
 */

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message